Package de.willuhn.jameica.hbci.accounts.hbci.controller

# Class HBCIAccountNewController

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.accounts.hbci.controller.HBCIAccountNewController

public class HBCIAccountNewController extends de.willuhn.jameica.gui.AbstractControl
Controller zum Anlegen eines neuen HBCI-Accounts.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`HBCIAccountNewController(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`List<de.willuhn.jameica.gui.parts.InfoPanel>`
`getVariants()`
Liefert die Liste der verfuegbaren HBCI-Varianten.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIAccountNewController

public HBCIAccountNewController(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` - Verfahren

## Method Details

### getVariants

public List<de.willuhn.jameica.gui.parts.InfoPanel> getVariants()
Liefert die Liste der verfuegbaren HBCI-Varianten.

Returns:
  die Liste der verfuegbaren HBCI-Varianten.